/*
 * Copyright (C) 2018 CERN (www.cern.ch)
 * Author: Dimitris Lampridis <dimitris.lampridis@cern.ch>
 *
 * SPDX-License-Identifier: LGPL-3.0-or-later
 */

#ifndef __WRTD_RT_TDC_H
#define __WRTD_RT_TDC_H

#define BASE_DP_TDC_REGS    0x2000
#define BASE_DP_TDC_DIRECT  0x8000

#define FT_CH_1   1
#define FT_NUM_CHANNELS 5

#define NB_ACAM_REGS 11

#define TDC_VCXO_DEFAULT_TUNE 32000

#define DEFAULT_DEAD_TIME (80000/16)

int tdc_init(void);

#endif
